%if 0%{?suse_version}
%define apache_service apache2
%define apache_group www
%define backup_dir /srv/www/htdocs/backup
%else
%define apache_service httpd
%define apache_group apache
%define backup_dir /var/www/html/backup
%endif

Summary: A web GUI for backing up configuration files and logs for op5 Monitor
Name: monitor-backup
Version: %{op5version}
Release: %{op5release}%{?dist}
Group: op5/monitor
License: op5 Immaterial Rights License
Prefix: /opt/monitor/op5/backup
Source: %name-%version.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: tar
Requires: gzip
Requires: monitor
Requires: op5-monitor-supported-webserver

%description
The op5 Monitor backup tool allows for easy and basic backup by the
simple expedient of clicking a link.  Files are stored locally, and can
easily be downloaded to a remote location for integration with an already
deployed backup solution.

This package can not be rebuilt without read access to the op5 CVS repository.

%prep
%setup -q
# change default location of html files for SUSE in all files
%if 0%{?suse_version}
find -type f -exec %{__sed} '{}' -i -e 's#var/www/html#srv/www/htdocs#g'  \;
find -type f -exec %{__sed} '{}' -i -e 's#var/www#srv/www#g'  \;
%endif


%build
make
make test

%install
rm -rf %buildroot

mkdir -p -m 770 %buildroot%backup_dir
mkdir -p -m 750 %buildroot%prefix
install -D op5build/httpd.backup.conf %buildroot/etc/%{apache_service}/conf.d/monitor-backup.conf
cp backup restore %buildroot%prefix
chmod 755 -R %buildroot%prefix

%files
%defattr(755,monitor,root,755)
%prefix
%prefix/backup
%prefix/restore
%dir %attr(775,monitor,%apache_group) %backup_dir
%attr(644,root,root) /etc/%{apache_service}/conf.d/monitor-backup.conf

%clean
rm -rf %buildroot

%changelog
* Thu May 03 2007 Peter Ostlin <peter@op5.se>
- Require httpd not apache to comply with centos
* Fri Jul 21 2006 Johannes Dagemark <jd@op5.se> 2.4.0-op5.1
- Updated to version 2.4.0
* Fri Oct 15 2004 Andreas Ericsson <ae@op5.se> 1.1-op5.1
- First real working RPM package.
